(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     43561,       1150]
NotebookOptionsPosition[     42687,       1122]
NotebookOutlinePosition[     43151,       1140]
CellTagsIndexPosition[     43108,       1137]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"Off", "[", 
   RowBox[{"General", "::", "\"\<spell1\>\""}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"f0", "=", "440."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nharm", "=", "31"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sr", "=", "64000"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"rd1", ":=", 
  RowBox[{"Random", "[", 
   RowBox[{"Real", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", ".5"}], ",", ".5"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"rd2", ":=", 
  RowBox[{"Random", "[", 
   RowBox[{"Real", ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1.8"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tauSude", "=", "5."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kASude", "=", "0.9"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tauLiche", "=", "5."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"KALiche", "=", "0.9"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"sude1", "[", "i_", "]"}], ":=", 
   RowBox[{"kASude", "*", "0.5", "*", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"-", "1"}], ")"}], "i"]}], ")"}], "*", 
    RowBox[{"Exp", "[", 
     FractionBox[
      RowBox[{
       RowBox[{"-", "i"}], "*", "tauSude"}], "nharm"], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"S1", "=", 
   RowBox[{"Prepend", "[", 
    RowBox[{
     RowBox[{"sude1", "/@", 
      RowBox[{"Range", "[", "nharm", "]"}]}], ",", "1"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"liche1", "[", "i_", "]"}], ":=", 
   RowBox[{"KALiche", "*", "0.5", "*", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"-", "1"}], ")"}], "i"]}], ")"}], "*", 
    RowBox[{"Exp", "[", 
     FractionBox[
      RowBox[{
       RowBox[{"-", "i"}], "*", "tauLiche"}], "nharm"], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"L1", "=", 
   RowBox[{"Prepend", "[", 
    RowBox[{
     RowBox[{"liche1", "/@", 
      RowBox[{"Range", "[", "nharm", "]"}]}], ",", "1"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "[", 
  RowBox[{"S1", ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"PointSize", "[", "0.02", "]"}], "}"}]}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "[", 
  RowBox[{"L1", ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"PointSize", "[", "0.02", "]"}], "}"}]}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.444578213962*^9, 3.444578235079*^9}, {3.444578298962*^9,
    3.4445783097469997`*^9}, {3.444578908076*^9, 3.4445789085369997`*^9}, {
   3.444583546733*^9, 3.444583547396*^9}, {3.4445924328120003`*^9, 
   3.444592446035*^9}, 3.44459257999*^9, {3.444592636256*^9, 
   3.444592636523*^9}, {3.444594029727*^9, 3.444594037302*^9}, {
   3.4445948059960003`*^9, 3.4445948166*^9}, {3.4446308316506104`*^9, 
   3.4446308327270107`*^9}, {3.4446308787214108`*^9, 3.44463087889301*^9}, {
   3.4446311893422103`*^9, 3.4446311894514103`*^9}, {3.4446371096355934`*^9, 
   3.4446371098699684`*^9}, {3.4448419343825097`*^9, 
   3.4448419445015097`*^9}, {3.4448445502035093`*^9, 
   3.4448445516715097`*^9}, {3.4448512891545095`*^9, 
   3.4448512902245097`*^9}, {3.4448514554765096`*^9, 
   3.4448514558955097`*^9}, {3.4448520736165094`*^9, 3.44485207374751*^9}, {
   3.4448521385755095`*^9, 3.4448521607515097`*^9}, {3.4448522170095096`*^9, 
   3.44485224844051*^9}, {3.4448523174655094`*^9, 3.4448523221915092`*^9}, {
   3.444931636362975*^9, 3.4449316596381755`*^9}, {3.4449321647781754`*^9, 
   3.444932169411375*^9}, {3.4449323450517755`*^9, 3.4449323566787753`*^9}, {
   3.4449326267903757`*^9, 3.4449326565551753`*^9}, {3.4452775155279055`*^9, 
   3.4452775180707054`*^9}, {3.4452775860559053`*^9, 3.445277586664305*^9}, {
   3.445277658379305*^9, 3.445277680406505*^9}, {3.445277760090705*^9, 
   3.4452777618847055`*^9}, 3.445278990031905*^9, {3.4452791825511055`*^9, 
   3.445279186591505*^9}, {3.445519505946*^9, 3.445519509344*^9}, {
   3.445522195019105*^9, 3.4455221953155046`*^9}, {3.4455226876487045`*^9, 
   3.4455226882259045`*^9}, 3.4455227349429045`*^9, {3.4455228682721043`*^9, 
   3.4455228684749045`*^9}, {3.445578002140625*^9, 3.445578002203125*^9}, {
   3.4456243346042*^9, 3.4456243493462*^9}, {3.4456244211493998`*^9, 
   3.4456244241134*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"tonL", "[", 
    RowBox[{"k_", ",", "t_"}], "]"}], "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"Sin", "[", 
        RowBox[{"k", "*", "f0", "*", "2", "*", "Pi", "*", "#", "*", "t"}], 
        "]"}], "&"}], "/@", 
      RowBox[{"Range", "[", 
       RowBox[{"nharm", "+", "1"}], "]"}]}], ")"}], ".", "L1"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"tonS", "[", 
    RowBox[{"k_", ",", "t_"}], "]"}], "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"Sin", "[", 
        RowBox[{"k", "*", "f0", "*", "2", "*", "Pi", "*", "#", "*", "t"}], 
        "]"}], "&"}], "/@", 
      RowBox[{"Range", "[", 
       RowBox[{"nharm", "+", "1"}], "]"}]}], ")"}], ".", "S1"}]}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.444578773156*^9, 3.444578788574*^9}, {3.44458353625*^9, 
  3.444583539034*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"pyth1", "=", 
   RowBox[{"{", 
    RowBox[{"1", ",", 
     FractionBox["2187", "2048"], ",", 
     FractionBox["9", "8"], ",", 
     FractionBox["32", "27"], ",", 
     FractionBox["81", "64"], ",", 
     FractionBox["4", "3"], ",", 
     FractionBox["729", "512"], ",", 
     FractionBox["3", "2"], ",", 
     FractionBox["128", "81"], ",", 
     FractionBox["27", "16"], ",", 
     FractionBox["16", "9"], ",", 
     FractionBox["243", "128"], ",", "2"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"temper", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RadicalBox[
      SuperscriptBox["2.", "i"], "12"], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "12"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"fPyth", "[", "k_Integer", "]"}], ":=", 
   RowBox[{
    RowBox[{"1.", "*", 
     RowBox[{"pyth1", "[", 
      RowBox[{"[", "k", "]"}], "]"}]}], "/;", 
    RowBox[{"1", "\[LessEqual]", "k", "\[LessEqual]", "12"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"fPyth", "[", "k_Integer", "]"}], ":=", 
   RowBox[{
    RowBox[{"2.", "*", 
     RowBox[{"fPyth", "[", 
      RowBox[{"k", "-", "12"}], "]"}]}], "/;", 
    RowBox[{"k", ">", "12"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"fPyth", "[", "k_Integer", "]"}], ":=", 
   RowBox[{
    RowBox[{"0.5", "*", 
     RowBox[{"fPyth", "[", 
      RowBox[{"k", "+", "12"}], "]"}]}], "/;", 
    RowBox[{"k", "<", "1"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"fTemper", "[", "k_Integer", "]"}], ":=", 
   RowBox[{
    RowBox[{"1.", "*", 
     RowBox[{"temper", "[", 
      RowBox[{"[", "k", "]"}], "]"}]}], "/;", 
    RowBox[{"1", "\[LessEqual]", "k", "\[LessEqual]", "12"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"fTemper", "[", "k_Integer", "]"}], ":=", 
   RowBox[{
    RowBox[{"2.", "*", 
     RowBox[{"fTemper", "[", 
      RowBox[{"k", "-", "12"}], "]"}]}], "/;", 
    RowBox[{"k", ">", "12"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"fTemper", "[", "k_Integer", "]"}], ":=", 
   RowBox[{
    RowBox[{"0.5", "*", 
     RowBox[{"fTemper", "[", 
      RowBox[{"k", "+", "12"}], "]"}]}], "/;", 
    RowBox[{"k", "<", "1"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.444578113352*^9, 3.44457813291*^9}, 3.444586347208*^9, {
   3.4446371872605934`*^9, 3.4446371935418434`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"fceprot", "[", 
    RowBox[{"list_", ",", "doba_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"length", ",", "pom"}], "}"}], ",", 
     RowBox[{
      RowBox[{"length", "=", 
       RowBox[{"Round", "[", 
        RowBox[{"doba", "*", "sr"}], "]"}]}], ";", 
      RowBox[{"pom", "=", 
       RowBox[{"NestWhile", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Join", "[", 
           RowBox[{"#", ",", "#"}], "]"}], "&"}], ",", "list", ",", 
         RowBox[{
          RowBox[{
           RowBox[{"Length", "[", "#", "]"}], "<", "length"}], "&"}]}], 
        "]"}]}], ";", 
      RowBox[{"Take", "[", 
       RowBox[{"pom", ",", "length"}], "]"}]}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.4445838329779997`*^9, 3.444583834567*^9}, 
   3.4445841179300003`*^9, 3.4448421114755096`*^9, {3.44485199555851*^9, 
   3.44485202522351*^9}, 3.444931969391775*^9, {3.4449325905203753`*^9, 
   3.4449326168219757`*^9}, {3.445274847917905*^9, 3.4452748617395053`*^9}}],

Cell[BoxData[{
 StyleBox[
  RowBox[{
   RowBox[{"k0", "=", 
    RowBox[{"-", "56"}]}], ";"}],
  FontColor->RGBColor[0.6, 0.4, 0.2]], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{
   RowBox[{"k01", "=", "70"}], ";"}],
  FontColor->RGBColor[0.6, 0.4, 0.2]], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<f do k01= \>\"", ",", "k0", ",", "\"\<   \>\"", ",", 
    RowBox[{"f0", "*", 
     RowBox[{"fPyth", "[", "k0", "]"}]}], ",", " ", 
    "\"\< a odpovidajici perioda T= \>\"", ",", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"f0", "*", 
       RowBox[{"fPyth", "[", "k0", "]"}]}], ")"}], 
     RowBox[{"-", "1"}]], ",", "\"\< s\>\""}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<f do k01= \>\"", ",", "k01", ",", "\"\<   \>\"", ",", 
   RowBox[{"f0", "*", 
    RowBox[{"fPyth", "[", "k01", "]"}]}], ",", " ", 
   "\"\< a odpovidajici perioda T= \>\"", ",", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"f0", "*", 
      RowBox[{"fPyth", "[", "k01", "]"}]}], ")"}], 
    RowBox[{"-", "1"}]], ",", "\"\< s\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fPyth", "/@", 
   RowBox[{"Table", "[", 
    RowBox[{"k", ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "k0", ",", "k01"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fTemper", "/@", 
   RowBox[{"Table", "[", 
    RowBox[{"k", ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "k0", ",", "k01"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ListPlot", "[", 
   RowBox[{
    RowBox[{"%", "-", "%%"}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"PointSize", "[", "0.015", "]"}], "}"}]}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"aK", "[", "k_", "]"}], ":=", 
   RowBox[{"0.01", "+", 
    RowBox[{"Exp", "[", 
     FractionBox[
      RowBox[{
       StyleBox[
        RowBox[{
         StyleBox["8",
          FontColor->RGBColor[0.6, 0.4, 0.2]], "."}]], "*", 
       RowBox[{"(", 
        RowBox[{"k0", "-", "k"}], ")"}]}], 
      RowBox[{"(", 
       RowBox[{"k01", "-", "k0"}], ")"}]], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"aK", "[", "k", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "k0", ",", "k01"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Automatic", ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], "}"}]}]}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.4448411069543095`*^9, 3.4448411131163096`*^9}, {
   3.44484359825651*^9, 3.4448436039155097`*^9}, {3.4452789601423054`*^9, 
   3.4452789744787054`*^9}, 3.4452791009479055`*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"kT", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PsampleS", "[", "k_", "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"f", ",", "T", ",", "t", ",", "tau"}], "}"}], ",", 
     RowBox[{
      RowBox[{"f", "=", 
       RowBox[{"f0", "*", 
        RowBox[{"fPyth", "[", "k", "]"}]}]}], ";", 
      RowBox[{"T", "=", 
       FractionBox["1.", "f"]}], ";", 
      RowBox[{"tau", "=", 
       FractionBox["1.", "sr"]}], ";", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"tonS", "[", 
         RowBox[{
          RowBox[{"fPyth", "[", "k", "]"}], ",", "t"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", 
          RowBox[{"kT", "*", "T"}], ",", "tau"}], "}"}]}], "]"}]}]}], "]"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PsampleL", "[", "k_", "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"f", ",", "T", ",", "t", ",", "tau"}], "}"}], ",", 
     RowBox[{
      RowBox[{"f", "=", 
       RowBox[{"f0", "*", 
        RowBox[{"fPyth", "[", "k", "]"}]}]}], ";", 
      RowBox[{"T", "=", 
       FractionBox["1.", "f"]}], ";", 
      RowBox[{"tau", "=", 
       FractionBox["1.", "sr"]}], ";", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"tonL", "[", 
         RowBox[{
          RowBox[{"fPyth", "[", "k", "]"}], ",", "t"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", 
          RowBox[{"kT", "*", "T"}], ",", "tau"}], "}"}]}], "]"}]}]}], "]"}]}],
   ";"}], "\n", 
 RowBox[{
  RowBox[{"PtonyS", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"aK", "[", "k", "]"}], "*", 
      RowBox[{"PsampleS", "[", "k", "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "k0", ",", "k01"}], "}"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"PtonyL", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"aK", "[", "k", "]"}], "*", 
      RowBox[{"PsampleL", "[", "k", "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "k0", ",", "k01"}], "}"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"ListPlot", "[", 
   RowBox[{
    RowBox[{"PtonyS", "[", 
     RowBox[{"[", "10", "]"}], "]"}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"PointSize", "[", "0.01", "]"}], "}"}]}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.444578816263*^9, 3.444578824208*^9}, 3.444578934374*^9, 
   3.444579031756*^9, {3.444579108674*^9, 3.444579124451*^9}, {
   3.4445791600360003`*^9, 3.444579172145*^9}, {3.4445793601099997`*^9, 
   3.444579401965*^9}, {3.4445794588120003`*^9, 3.444579631231*^9}, {
   3.4445796614110003`*^9, 3.444579713314*^9}, {3.444579779741*^9, 
   3.444579851657*^9}, {3.4445800345439997`*^9, 3.444580069633*^9}, {
   3.444580101058*^9, 3.444580122816*^9}, 3.444580202861*^9, {
   3.4445814747279997`*^9, 3.444581497321*^9}, 3.444581893491*^9, {
   3.444581929079*^9, 3.444582051874*^9}, {3.444582173138*^9, 
   3.444582177929*^9}, {3.444582219308*^9, 3.444582381163*^9}, {
   3.444582418127*^9, 3.444582538888*^9}, {3.444582584007*^9, 
   3.444582597573*^9}, 3.444582656568*^9, 3.444583060666*^9, {
   3.444583195208*^9, 3.44458323865*^9}, {3.444583278568*^9, 
   3.444583279799*^9}, {3.444583586458*^9, 3.444583586822*^9}, {
   3.444583635844*^9, 3.4445836364449997`*^9}, {3.4445836699700003`*^9, 
   3.444583698965*^9}, {3.444585513722*^9, 3.44458564942*^9}, {
   3.44458646713*^9, 3.444586473476*^9}, {3.444586509058*^9, 
   3.444586509566*^9}, {3.444586684532*^9, 3.444586695832*^9}, 
   3.444587674045*^9, {3.4445905049519997`*^9, 3.444590510391*^9}, {
   3.4445905998719997`*^9, 3.4445906098129997`*^9}, {3.44484111717231*^9, 
   3.4448411251283092`*^9}, {3.445274774785105*^9, 3.4452747983411055`*^9}, {
   3.445275771327505*^9, 3.4452757986431055`*^9}, {3.4452775731079054`*^9, 
   3.445277574621105*^9}, 3.4452776907961054`*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"TsampleS", "[", "k_", "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"f", ",", "T", ",", "t", ",", "tau"}], "}"}], ",", 
     RowBox[{
      RowBox[{"f", "=", 
       RowBox[{"f0", "*", 
        RowBox[{"fTemper", "[", "k", "]"}]}]}], ";", 
      RowBox[{"T", "=", 
       FractionBox["1.", "f"]}], ";", 
      RowBox[{"tau", "=", 
       FractionBox["1.", "sr"]}], ";", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"tonS", "[", 
         RowBox[{
          RowBox[{"fTemper", "[", "k", "]"}], ",", "t"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", 
          RowBox[{"kT", "*", "T"}], ",", "tau"}], "}"}]}], "]"}]}]}], "]"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"TsampleL", "[", "k_", "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"f", ",", "T", ",", "t", ",", "tau"}], "}"}], ",", 
     RowBox[{
      RowBox[{"f", "=", 
       RowBox[{"f0", "*", 
        RowBox[{"fTemper", "[", "k", "]"}]}]}], ";", 
      RowBox[{"T", "=", 
       FractionBox["1.", "f"]}], ";", 
      RowBox[{"tau", "=", 
       FractionBox["1.", "sr"]}], ";", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"tonL", "[", 
         RowBox[{
          RowBox[{"fTemper", "[", "k", "]"}], ",", "t"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", 
          RowBox[{"kT", "*", "T"}], ",", "tau"}], "}"}]}], "]"}]}]}], "]"}]}],
   ";"}], "\n", 
 RowBox[{
  RowBox[{"TtonyS", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"aK", "[", "k", "]"}], "*", 
      RowBox[{"TsampleS", "[", "k", "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "k0", ",", "k01"}], "}"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"TtonyL", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"aK", "[", "k", "]"}], "*", 
      RowBox[{"TsampleL", "[", "k", "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "k0", ",", "k01"}], "}"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"NullTony", "=", 
   RowBox[{"0.", "*", 
    RowBox[{"Range", "[", "1000", "]"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{
  3.4448439192995095`*^9, {3.4452748085279055`*^9, 3.445274818745905*^9}, {
   3.445275810842305*^9, 3.445275818876305*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"PCohrajL", "[", 
    RowBox[{"{", 
     RowBox[{"k_", ",", "a_", ",", "long_"}], "}"}], "]"}], ":=", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"k0", "\[LessEqual]", "k", "\[LessEqual]", "k01"}], ",", 
     RowBox[{"fceprot", "[", 
      RowBox[{
       RowBox[{"a", "*", 
        RowBox[{"PtonyL", "[", 
         RowBox[{"[", 
          RowBox[{"k", "-", "k0", "+", "1"}], "]"}], "]"}]}], ",", "long"}], 
      "]"}], ",", 
     RowBox[{"fceprot", "[", 
      RowBox[{"NullTony", ",", "long"}], "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PCohrajS", "[", 
    RowBox[{"{", 
     RowBox[{"k_", ",", "a_", ",", "long_"}], "}"}], "]"}], ":=", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"k0", "\[LessEqual]", "k", "\[LessEqual]", "k01"}], ",", 
     RowBox[{"fceprot", "[", 
      RowBox[{
       RowBox[{"a", "*", 
        RowBox[{"PtonyS", "[", 
         RowBox[{"[", 
          RowBox[{"k", "-", "k0", "+", "1"}], "]"}], "]"}]}], ",", "long"}], 
      "]"}], ",", 
     RowBox[{"fceprot", "[", 
      RowBox[{"NullTony", ",", "long"}], "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PCohraj", "[", "co_", "]"}], ":=", 
   RowBox[{
    RowBox[{"PCohrajS", "[", "co", "]"}], "+", 
    RowBox[{"PCohrajL", "[", "co", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"TCohrajL", "[", 
    RowBox[{"{", 
     RowBox[{"k_", ",", "a_", ",", "long_"}], "}"}], "]"}], ":=", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"k0", "\[LessEqual]", "k", "\[LessEqual]", "k01"}], ",", 
     RowBox[{"fceprot", "[", 
      RowBox[{
       RowBox[{"a", "*", 
        RowBox[{"TtonyL", "[", 
         RowBox[{"[", 
          RowBox[{"k", "-", "k0", "+", "1"}], "]"}], "]"}]}], ",", "long"}], 
      "]"}], ",", 
     RowBox[{"fceprot", "[", 
      RowBox[{"NullTony", ",", "long"}], "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"TCohrajS", "[", 
    RowBox[{"{", 
     RowBox[{"k_", ",", "a_", ",", "long_"}], "}"}], "]"}], ":=", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"k0", "\[LessEqual]", "k", "\[LessEqual]", "k01"}], ",", 
     RowBox[{"fceprot", "[", 
      RowBox[{
       RowBox[{"a", "*", 
        RowBox[{"TtonyS", "[", 
         RowBox[{"[", 
          RowBox[{"k", "-", "k0", "+", "1"}], "]"}], "]"}]}], ",", "long"}], 
      "]"}], ",", 
     RowBox[{"fceprot", "[", 
      RowBox[{"NullTony", ",", "long"}], "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"TCohraj", "[", "co_", "]"}], ":=", 
    RowBox[{
     RowBox[{"TCohrajS", "[", "co", "]"}], "+", 
     RowBox[{"TCohrajL", "[", "co", "]"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.444588756381*^9, 3.4445887636949997`*^9}, {
   3.444588795954*^9, 3.444589079701*^9}, {3.4445891296359997`*^9, 
   3.4445891357799997`*^9}, 3.444589423363*^9, 3.444590344578*^9, {
   3.44459278788*^9, 3.4445927921809998`*^9}, {3.4448417842485094`*^9, 
   3.4448417859955096`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"rejstrik1", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"zakl_", ",", "rej_", ",", "interval_"}], "}"}], ",", 
     RowBox[{"co", ":", 
      RowBox[{"{", 
       RowBox[{"k_", ",", "a_", ",", "long_"}], "}"}]}]}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"fzakl", ",", "frej", ",", "ki", ",", "ai"}], "}"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"fzakl", "[", 
        RowBox[{"ki_", ",", "ai_"}], "]"}], ":=", 
       RowBox[{"zakl", "[", 
        RowBox[{"{", 
         RowBox[{"ki", ",", "ai", ",", "long"}], "}"}], "]"}]}], ";", 
      RowBox[{
       RowBox[{"frej", "[", 
        RowBox[{"ki_", ",", "ai_"}], "]"}], ":=", 
       RowBox[{"rej", "[", 
        RowBox[{"{", 
         RowBox[{"ki", ",", "ai", ",", "long"}], "}"}], "]"}]}], ";", 
      RowBox[{
       RowBox[{"fzakl", "[", 
        RowBox[{"k", ",", 
         RowBox[{"2", "*", "a"}]}], "]"}], "+", 
       RowBox[{"frej", "[", 
        RowBox[{
         RowBox[{"k", "+", "12", "+", "interval"}], ",", 
         RowBox[{"a", "*", ".2"}]}], "]"}], "+", 
       RowBox[{"frej", "[", 
        RowBox[{
         RowBox[{"k", "+", "24", "+", "interval"}], ",", 
         RowBox[{"a", "*", "0.1"}]}], "]"}], "+", 
       RowBox[{"frej", "[", 
        RowBox[{
         RowBox[{"k", "+", "36"}], ",", 
         RowBox[{"a", "*", "0.1"}]}], "]"}], "+", 
       RowBox[{"frej", "[", 
        RowBox[{
         RowBox[{"k", "+", "48"}], ",", 
         RowBox[{"a", "*", "0.05"}]}], "]"}], "+", 
       RowBox[{"frej", "[", 
        RowBox[{
         RowBox[{"k", "-", "12"}], ",", 
         RowBox[{"a", "*", "0.04"}]}], "]"}]}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"kvinta", "[", 
    RowBox[{"{", 
     RowBox[{"k_", ",", "long_"}], "}"}], "]"}], ":=", 
   RowBox[{"rejstrik1", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"TCohrajS", ",", "PCohrajS", ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "1", ",", "long"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"kvintaTry", "[", 
    RowBox[{"{", 
     RowBox[{"k_", ",", "long_"}], "}"}], "]"}], ":=", 
   RowBox[{"rejstrik1", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"TCohrajS", ",", "PCohrajL", ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "1", ",", "long"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ListPlot", "[", 
   RowBox[{"kvinta", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "20"}], ",", ".2"}], "}"}], "]"}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{
  3.44483952979591*^9, {3.44484096100231*^9, 3.4448409713295097`*^9}, 
   3.44484120258311*^9, {3.4448510829985094`*^9, 3.4448510864045095`*^9}, {
   3.44485339431351*^9, 3.44485343004451*^9}, {3.4448540419835095`*^9, 
   3.4448540455275097`*^9}, {3.4448541895055094`*^9, 
   3.4448541924795094`*^9}, {3.4448560237465096`*^9, 
   3.4448560551375093`*^9}, {3.4448562953575096`*^9, 
   3.4448562996285095`*^9}, {3.4448564845215096`*^9, 
   3.4448565001265097`*^9}, {3.44485659057251*^9, 3.4448566528095093`*^9}, {
   3.44485668958451*^9, 3.4448566940175095`*^9}, 3.4448567583575096`*^9, {
   3.4448568069565096`*^9, 3.44485684717651*^9}, 3.4448579683885098`*^9, 
   3.44485800003951*^9, {3.445275890480305*^9, 3.445276028680705*^9}, {
   3.445276060910305*^9, 3.445276071159505*^9}, {3.445277096636305*^9, 
   3.4452771136559052`*^9}, {3.445277169347705*^9, 3.4452771717033052`*^9}, {
   3.44568350803125*^9, 3.4456835231875*^9}, {3.445683894140625*^9, 
   3.44568389503125*^9}}],

Cell[BoxData[{
 StyleBox[
  RowBox[{
   RowBox[{"osminka", "=", ".25"}], ";"}],
  FontColor->RGBColor[0.6, 0.4, 0.2]], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{
   RowBox[{"pLayrAnge", "=", "5"}], ";"}],
  FontColor->RGBColor[0.6, 0.4, 0.2]], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"zahraj", "[", "cohraj_", "]"}], ":=", 
   RowBox[{"EmitSound", "[", 
    RowBox[{"ListPlay", "[", 
     RowBox[{"cohraj", ",", 
      RowBox[{"SampleRate", "\[Rule]", "sr"}], ",", 
      RowBox[{"PlayRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "1."}], "pLayrAnge"}], ",", 
         RowBox[{"1.", "pLayrAnge"}]}], "}"}]}]}], "]"}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.4448401058571095`*^9, 3.4448401088679094`*^9}, 
   3.4448403125415096`*^9, 3.4448412109759097`*^9, {3.44484286198551*^9, 
   3.4448428631725097`*^9}, {3.4448430188925095`*^9, 
   3.4448430200235095`*^9}, {3.4448439822645097`*^9, 
   3.4448440063245096`*^9}, {3.4448440520735097`*^9, 3.4448441601725097`*^9}, 
   3.44484428178251*^9, {3.4448445015785093`*^9, 3.4448445050855093`*^9}, {
   3.4448445588625097`*^9, 3.4448445600695095`*^9}, {3.4448446103835096`*^9, 
   3.4448446151995096`*^9}, 3.44484471841951*^9, {3.4448447560355096`*^9, 
   3.4448447573875093`*^9}, {3.4448448242715096`*^9, 3.44484482654451*^9}, {
   3.4448448794795094`*^9, 3.4448449989415092`*^9}, 3.4448455167375097`*^9, {
   3.4448508029155097`*^9, 3.4448508535785093`*^9}, {3.4448509458395095`*^9, 
   3.44485095187951*^9}, {3.44485099537251*^9, 3.4448510230685096`*^9}, {
   3.4448511068995094`*^9, 3.4448511082255096`*^9}, {3.4448511425575094`*^9, 
   3.4448511557155094`*^9}, {3.4448524926995096`*^9, 3.44485252059851*^9}, {
   3.4448526406845093`*^9, 3.44485264416451*^9}, {3.4448527058365097`*^9, 
   3.4448528454675093`*^9}, {3.4448534854425097`*^9, 
   3.4448535049605093`*^9}, {3.4448535795675097`*^9, 
   3.4448535925165095`*^9}, {3.4448538543065095`*^9, 
   3.4448539032415094`*^9}, {3.4448539588735094`*^9, 
   3.4448539889285097`*^9}, {3.4448540342325096`*^9, 3.44485403501151*^9}, {
   3.4448541508455095`*^9, 3.4448541707995095`*^9}, {3.4448543307465096`*^9, 
   3.4448543662115097`*^9}, {3.4448546554275093`*^9, 
   3.4448546637245097`*^9}, {3.4448547554215097`*^9, 
   3.4448547581565094`*^9}, {3.4448548256925097`*^9, 
   3.4448548331935096`*^9}, {3.4448549434305096`*^9, 
   3.4448549451585093`*^9}, {3.4448550772305098`*^9, 
   3.4448551301415095`*^9}, {3.4448551765895095`*^9, 
   3.4448553119415092`*^9}, {3.4448553509725094`*^9, 3.44485547954451*^9}, {
   3.4448556727435093`*^9, 3.4448557014915094`*^9}, {3.4448558918245096`*^9, 
   3.44485595997351*^9}, {3.44485606194051*^9, 3.4448560624315095`*^9}, {
   3.4448561731235094`*^9, 3.4448562185455093`*^9}, {3.4448562855675097`*^9, 
   3.4448563477555094`*^9}, {3.4448569819355097`*^9, 
   3.4448570364945097`*^9}, {3.4448571205545096`*^9, 
   3.4448571360315094`*^9}, {3.4448572562515097`*^9, 
   3.4448572703385096`*^9}, {3.4448580205245094`*^9, 3.44485808516951*^9}, {
   3.4448582581325097`*^9, 3.4448582787415094`*^9}, 3.4449316797621756`*^9, {
   3.4449317165313754`*^9, 3.4449317504457755`*^9}, {3.444932878336375*^9, 
   3.4449329245747757`*^9}, {3.4449330698513756`*^9, 
   3.4449330845777755`*^9}, {3.4449332038291755`*^9, 3.444933235559575*^9}, {
   3.4449335950305758`*^9, 3.4449337458825755`*^9}, {3.4449338813695755`*^9, 
   3.444933915199375*^9}, {3.4449340652345753`*^9, 3.4449340692125754`*^9}, {
   3.4452763454809055`*^9, 3.4452765513229055`*^9}, {3.4452767358663054`*^9, 
   3.445276736615105*^9}, {3.4452767692659054`*^9, 3.445276770264305*^9}, {
   3.445276812091905*^9, 3.4452768827125053`*^9}, {3.4452769148635054`*^9, 
   3.4452769158775053`*^9}, {3.445276983629105*^9, 3.445277052971505*^9}, {
   3.4452772167877054`*^9, 3.445277223355305*^9}, {3.445277277566705*^9, 
   3.4452773290299053`*^9}, {3.4452773927709055`*^9, 3.445277480801905*^9}, {
   3.445278725824705*^9, 3.4452787440455055`*^9}, 3.4452787775075054`*^9, {
   3.4452788163861055`*^9, 3.445278816854105*^9}, {3.4452788617665052`*^9, 
   3.4452788623593054`*^9}, 3.445519435892*^9, 3.445519568822*^9, {
   3.4455196593970003`*^9, 3.445519663948*^9}, {3.44551970154*^9, 
   3.445519706074*^9}, {3.4455222762717047`*^9, 3.4455222772857046`*^9}, {
   3.4455224315859046`*^9, 3.4455225605979047`*^9}, {3.4455226020627046`*^9, 
   3.4455226607593045`*^9}, 3.4455228591929045`*^9, {3.4455229386709046`*^9, 
   3.445522982766905*^9}, {3.4455230260805044`*^9, 3.4455230413061047`*^9}, {
   3.445683842703125*^9, 3.4456838685625*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"fK", "[", 
    RowBox[{"{", 
     RowBox[{"\[CapitalDelta]_", ",", "list_"}], "}"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"fkv", ",", "fxx", ",", "x", ",", "pom"}], "}"}], ",", 
     RowBox[{
      RowBox[{"pom", "=", 
       RowBox[{"PadRight", "[", 
        RowBox[{"list", ",", 
         RowBox[{"Round", "[", 
          FractionBox[
           RowBox[{"8", "*", "osminka"}], "\[CapitalDelta]"], "]"}], ",", " ", 
         RowBox[{"k0", "-", "100"}]}], "]"}]}], ";", 
      RowBox[{"fkv", ":=", 
       RowBox[{
        RowBox[{"kvinta", "[", 
         RowBox[{"{", 
          RowBox[{"#", ",", "\[CapitalDelta]"}], "}"}], "]"}], "&"}]}], ";", 
      RowBox[{
       RowBox[{"fxx", "[", 
        RowBox[{"x_", "?", "NumberQ"}], "]"}], ":=", 
       RowBox[{"fkv", "[", "x", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"fxx", "[", "x_List", "]"}], ":=", 
       RowBox[{
        RowBox[{"Length", "[", "x", "]"}], "*", 
        RowBox[{"Mean", "[", 
         RowBox[{"fkv", "/@", "x"}], "]"}]}]}], ";", 
      RowBox[{"pom", "=", 
       RowBox[{"Flatten", "[", 
        RowBox[{"fxx", "/@", "pom"}], "]"}]}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"hrajHlasy", "[", "listHlasu_", "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "samply", ",", "list", ",", "\[CapitalDelta]", ",", "a", ",", "b", ",", 
       "listik", ",", "n", ",", "i", ",", "ns2", ",", "uzes", ",", "pridej", 
       ",", "dal"}], "}"}], ",", 
     RowBox[{
      RowBox[{"n", "=", 
       RowBox[{"Length", "[", "listHlasu", "]"}]}], ";", 
      RowBox[{
       RowBox[{"list", "[", "i_Integer", "]"}], ":=", 
       RowBox[{"listHlasu", "[", 
        RowBox[{"[", "i", "]"}], "]"}]}], ";", 
      RowBox[{"samply", ":=", 
       RowBox[{
        RowBox[{"Flatten", "[", 
         RowBox[{
          RowBox[{"fK", "/@", 
           RowBox[{"list", "[", "#", "]"}]}], ",", "1"}], "]"}], "&"}]}], ";", 
      RowBox[{"uzes", "=", 
       RowBox[{"samply", "/@", 
        RowBox[{"Range", "[", "n", "]"}]}]}], ";", 
      RowBox[{"ns2", "=", 
       RowBox[{"Max", "[", 
        RowBox[{"Length", "/@", "uzes"}], "]"}]}], ";", 
      RowBox[{
       RowBox[{"pridej", "[", "list_", "]"}], ":=", 
       RowBox[{"PadRight", "[", 
        RowBox[{"list", ",", "ns2", ",", "0."}], "]"}]}], ";", 
      RowBox[{"dal", "=", 
       RowBox[{"Plus", "@@", 
        RowBox[{"(", 
         RowBox[{"pridej", "/@", "uzes"}], ")"}]}]}], ";", 
      RowBox[{"zahraj", "[", "dal", "]"}]}]}], "]"}]}], ";"}], "\n"}], "Input",
 CellChangeTimes->{{3.4455260316767044`*^9, 3.4455260858283043`*^9}, {
   3.4455261241045046`*^9, 3.4455261987159047`*^9}, {3.445526502772505*^9, 
   3.4455267428453045`*^9}, {3.4455268787709045`*^9, 
   3.4455268951353045`*^9}, {3.4455270312935047`*^9, 3.445527059107505*^9}, {
   3.445527089120105*^9, 3.4455271319449043`*^9}, {3.4455271644567046`*^9, 
   3.4455271650651045`*^9}, {3.4455272312955046`*^9, 
   3.4455272509475045`*^9}, {3.4455273158029046`*^9, 
   3.4455273854577045`*^9}, {3.4455293738511047`*^9, 3.445529402245905*^9}, {
   3.4455295045039043`*^9, 3.4455295719739046`*^9}, {3.4455296417839046`*^9, 
   3.445529717085105*^9}, {3.4455297780967045`*^9, 3.4455298037119045`*^9}, {
   3.4455298367839046`*^9, 3.445529865799905*^9}, {3.4455299007751045`*^9, 
   3.4455299182645044`*^9}, 3.445529995570305*^9, {3.4455300546631045`*^9, 
   3.4455300613555045`*^9}, {3.4455301074223046`*^9, 
   3.4455301449111047`*^9}, {3.4455301753155046`*^9, 
   3.4455301775307045`*^9}, {3.4455302084421043`*^9, 
   3.4455302086761045`*^9}, {3.44557831390625*^9, 3.4455783146875*^9}, {
   3.44557836615625*^9, 3.445578380703125*^9}, {3.445578432*^9, 
   3.44557843440625*^9}, {3.44557847459375*^9, 3.445578625*^9}, {
   3.445578671171875*^9, 3.445578726421875*^9}, 3.44557876553125*^9, {
   3.445578799484375*^9, 3.445578862484375*^9}, {3.445579150375*^9, 
   3.445579212515625*^9}, {3.445579299328125*^9, 3.4455793363125*^9}, {
   3.445584081078125*^9, 3.445584083875*^9}, {3.445585644984375*^9, 
   3.445585645734375*^9}, {3.445615839473*^9, 3.4456158421094*^9}, {
   3.4456169204312*^9, 3.4456170523448*^9}, {3.4456170942464*^9, 
   3.4456171321544*^9}, {3.44561717351*^9, 3.4456172401064*^9}, {
   3.4456173110086*^9, 3.4456173162813997`*^9}, {3.4456182932682*^9, 
   3.4456183171986*^9}, {3.4456183740294*^9, 3.4456184012358*^9}, 
   3.4456184777382*^9, {3.4456190680039997`*^9, 3.4456192005104*^9}, {
   3.4456192361096*^9, 3.4456192621928*^9}, {3.4456192956392*^9, 
   3.4456193294912*^9}, {3.4456193895044003`*^9, 3.4456196040512*^9}, {
   3.4456219491991997`*^9, 3.4456219588868*^9}, {3.4456220077148*^9, 
   3.4456220268092003`*^9}, {3.4456220695376*^9, 3.4456221055736*^9}, {
   3.4456221690188*^9, 3.4456222353032*^9}, {3.4456222716356*^9, 
   3.4456222839284*^9}, {3.4456223469212*^9, 3.4456223511956*^9}, {
   3.4456223892128*^9, 3.4456225281464*^9}, {3.4456225805*^9, 
   3.445622686658*^9}, {3.4456227436136*^9, 3.4456227827539997`*^9}, {
   3.4456228227836*^9, 3.4456228719704*^9}, {3.4456229035292*^9, 
   3.4456229548532*^9}, {3.4456230072068*^9, 3.445623033992*^9}, {
   3.4456230683900003`*^9, 3.445623082196*^9}, {3.4456231261879997`*^9, 
   3.4456231333952*^9}, {3.4456231799300003`*^9, 3.4456232236724*^9}, {
   3.4456232720792*^9, 3.4456233126548*^9}, {3.4456233446972*^9, 
   3.4456233946952*^9}, {3.4456234737092*^9, 3.4456235053772*^9}, {
   3.4456235537995996`*^9, 3.4456235897732*^9}, {3.445623635138*^9, 
   3.4456238145536003`*^9}, {3.4456238722111998`*^9, 
   3.4456238814932003`*^9}, {3.4456239124632*^9, 3.4456239325559998`*^9}, {
   3.4456239766874*^9, 3.4456239999508*^9}, {3.445624056332*^9, 
   3.4456240604192*^9}, 3.445624135105*^9, {3.4456242538084*^9, 
   3.4456242600172*^9}, 3.4456243058812*^9, 3.4456245056085997`*^9, {
   3.4456245746015997`*^9, 3.4456245752567997`*^9}, {3.445624734229*^9, 
   3.4456248111994*^9}, {3.4456248480341997`*^9, 3.4456248700458*^9}, {
   3.445624902837*^9, 3.445624982553*^9}, {3.4456250208148003`*^9, 
   3.4456250380684*^9}, {3.445625087231*^9, 3.4456251429858*^9}, {
   3.4456251933314*^9, 3.4456252507363997`*^9}, {3.4456252864365997`*^9, 
   3.4456252994625998`*^9}, {3.4456253712005997`*^9, 3.4456254097794*^9}, {
   3.445682836453125*^9, 3.445682836625*^9}, 3.44568368409375*^9, {
   3.445683727703125*^9, 3.44568372878125*^9}, {3.445683877921875*^9, 
   3.44568388915625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"c", "=", "1"}], ";", 
  RowBox[{"cis", "=", "2"}], ";", 
  RowBox[{"d", "=", "3"}], ";", 
  RowBox[{"dis", "=", "4"}], ";", 
  RowBox[{"e", "=", "5"}], ";", 
  RowBox[{"f", "=", "6"}], ";", 
  RowBox[{"fis", "=", "7"}], ";", 
  RowBox[{"g", "=", "8"}], ";", 
  RowBox[{"gis", "=", "9"}], ";", 
  RowBox[{"a", "=", "10"}], ";", 
  RowBox[{"ais", "=", "11"}], ";", 
  RowBox[{"h", "=", "12"}], ";"}]], "Input",
 CellChangeTimes->{{3.44568330271875*^9, 3.445683382640625*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"seq1", "[", 
    RowBox[{"k_Integer", ",", "rot_Integer"}], "]"}], ":=", 
   RowBox[{"RotateLeft", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "c", ",", "d", ",", "e", ",", "f", ",", "g", ",", "a", ",", "h", ",", 
        RowBox[{"c", "+", "12"}]}], "}"}], "+", "k"}], ",", "rot"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mel4", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"osminka", ",", 
       RowBox[{"seq1", "[", 
        RowBox[{"0", ",", "0"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"osminka", ",", 
       RowBox[{"seq1", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "12"}], "-", 
          RowBox[{"240", "*", 
           RowBox[{"Random", "[", 
            RowBox[{"Integer", ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "1"}], "}"}]}], "]"}]}]}], ",", 
         RowBox[{"Random", "[", 
          RowBox[{"Integer", ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "7"}], "}"}]}], "]"}]}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"osminka", ",", 
       RowBox[{"seq1", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "12"}], "-", 
          RowBox[{"240", "*", 
           RowBox[{"Random", "[", 
            RowBox[{"Integer", ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "1"}], "}"}]}], "]"}]}]}], ",", "0"}], 
        "]"}]}], "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mel5", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"2", "*", "osminka"}], ",", 
       RowBox[{"seq1", "[", 
        RowBox[{
         RowBox[{"-", "24"}], ",", "0"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"2", "*", "osminka"}], ",", 
       RowBox[{"seq1", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "24"}], "-", 
          RowBox[{"240", "*", 
           RowBox[{"Random", "[", 
            RowBox[{"Integer", ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "1"}], "}"}]}], "]"}]}]}], ",", 
         RowBox[{"Random", "[", 
          RowBox[{"Integer", ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "7"}], "}"}]}], "]"}]}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"2", "*", "osminka"}], ",", 
       RowBox[{"seq1", "[", 
        RowBox[{
         RowBox[{"-", "24"}], ",", "0"}], "]"}]}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mel6", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"4", "*", "osminka"}], ",", 
       RowBox[{
        RowBox[{"seq1", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "240"}], "*", 
           RowBox[{"Random", "[", 
            RowBox[{"Integer", ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "1"}], "}"}]}], "]"}]}], ",", "0"}], "]"}], "//",
         "Reverse"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"4", "*", "osminka"}], ",", 
       RowBox[{"seq1", "[", 
        RowBox[{
         RowBox[{"-", "36"}], ",", 
         RowBox[{"Random", "[", 
          RowBox[{"Integer", ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "7"}], "}"}]}], "]"}]}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"4", "*", "osminka"}], ",", 
       RowBox[{"seq1", "[", 
        RowBox[{
         RowBox[{"-", "24"}], ",", "0"}], "]"}]}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mel7", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"2", "*", "osminka"}], ",", 
       RowBox[{
        RowBox[{"seq1", "[", 
         RowBox[{
          RowBox[{"-", "240"}], ",", "0"}], "]"}], "//", "Reverse"}]}], "}"}],
      ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"4", "*", "osminka"}], ",", 
       RowBox[{"seq1", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "12"}], "-", 
          RowBox[{"240", "*", 
           RowBox[{"Random", "[", 
            RowBox[{"Integer", ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "1"}], "}"}]}], "]"}]}]}], ",", 
         RowBox[{"Random", "[", 
          RowBox[{"Integer", ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "7"}], "}"}]}], "]"}]}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"2", "*", "osminka"}], ",", 
       RowBox[{"seq1", "[", 
        RowBox[{
         RowBox[{"-", "12"}], ",", "0"}], "]"}]}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"hrajHlasy", "[", 
   RowBox[{"{", 
    RowBox[{"mel5", ",", "mel4", ",", "mel6", ",", "mel7"}], "}"}], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.445683394359375*^9, 3.445683478296875*^9}, {
  3.44568357484375*^9, 3.445683641109375*^9}, {3.44568395971875*^9, 
  3.445684023359375*^9}, {3.4456840550625*^9, 3.445684148484375*^9}, {
  3.445684191*^9, 3.445684324234375*^9}, {3.445684371359375*^9, 
  3.445684371546875*^9}, {3.445684498*^9, 3.44568450025*^9}, {
  3.445684600109375*^9, 3.445684630109375*^9}, {3.445684674953125*^9, 
  3.44568471303125*^9}, {3.4456847551875*^9, 3.44568476309375*^9}, {
  3.44568481096875*^9, 3.4456848175*^9}}]
},
WindowSize->{1133, 807},
WindowMargins->{{4, Automatic}, {Automatic, 2}},
ShowSelection->True,
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.5, 1.5 Inherited],
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 4576, 111, 505, "Input"],
Cell[5124, 133, 950, 30, 98, "Input"],
Cell[6077, 165, 2485, 77, 283, "Input"],
Cell[8565, 244, 1072, 28, 71, "Input"],
Cell[9640, 274, 2803, 84, 383, "Input"],
Cell[12446, 360, 4038, 100, 313, "Input"],
Cell[16487, 462, 2386, 73, 285, "Input"],
Cell[18876, 537, 3135, 91, 341, "Input"],
Cell[22014, 630, 3664, 97, 233, "Input"],
Cell[25681, 729, 4600, 78, 125, "Input"],
Cell[30284, 809, 6548, 131, 338, "Input"],
Cell[36835, 942, 508, 14, 71, "Input"],
Cell[37346, 958, 5337, 162, 368, "Input"]
}
]
*)

(* End of internal cache information *)
